<?php


namespace FiloBlu\Refilo\Model\Consumer;

use FiloBlu\Esb\Api\Data\MessageInterface;
use FiloBlu\Esb\Framework\Consumer\AbstractConsumer;

/**
 * Class WorkWithUsConsumer
 * @package FiloBlu\Refilo\Model\Consumer
 */
class WorkWithUsConsumer extends AbstractConsumer
{
    /**
     * @param MessageInterface $message
     * @return MessageInterface
     */
    public function consume(MessageInterface $message): MessageInterface
    {
        return $message;
    }


    public function getName(): string
    {
        return 'Refilo Form Work With Us consumer';
    }

    public function getUniqueName(): string
    {
        return 'FiloBlu_Refilo::form_workwithus_consumer';
    }
}
